အကြောင်းအရာသို့ ကျော်ရန်

Omnigen V2

ပေါင်းစည်းရန်

မော်ဒယ် id omnigen-v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnigen-v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၁၅ $ ၁၅၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
BAAI စာသားမှ ပုံ #multimodal#editing#try-on

ထည့်သွင်းပုံ 3 ပုံအထိ၊ သီးခြားစာသားနှင့် ပုံလမ်းညွှန်မှု၊ scheduler ရွေးချယ်မှုတို့ပါဝင်သော ဒုတိယမျိုးဆက် OmniGen

BAAI · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ပုံဖန်တီးခြင်း သို့မဟုတ် တည်းဖြတ်ခြင်း ညွှန်ကြားချက်များ၊ တိတိကျကျ ဖော်ပြခြင်းက အကောင်းဆုံးဖြစ်သည်—ဥပမာ 'Add the bird from image 1 to the desk in image 2'။

image_size မူလ square_hd

ဖန်တီးထားသောပုံ၏ အရွယ်အစား။

num_images မူလ 1

ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။

အဆင့်မြင့် negative_prompt · input_image_urls · scheduler · output_format · num_inference_steps · text_guidance_scale · image_guidance_scale · cfg_range_start · cfg_range_end · seed · enable_safety_checker
မူလ (((deformed))), blurr...

ပုံမှ ဖယ်ရှားလိုသော အကြောင်းအရာကို ဖော်ပြသည့် အနုတ်ပရောမ့်။

မူလ []
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ပုံများစွာမှ တည်းဖြတ်ခြင်း သို့မဟုတ် ဖန်တီးခြင်းအတွက် အရင်းအမြစ်ပုံများကို ပေးပို့သည့် ပုံ URL အများဆုံး 3 ခု။

scheduler မူလ euler

diffusion အတွင်း အသုံးပြုသည့် Scheduler။

output_format မူလ jpeg

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

မူလ 50

လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။

မူလ 5

စာသားလမ်းညွှန်မှု scale၊ တန်ဖိုးမြှင့်လေ ဖန်တီးထားသောပုံက စာသားပရောမ့်ကို ပိုမိုလိုက်နာလေ ဖြစ်သည်။

မူလ 2

ပုံလမ်းညွှန်မှု scale၊ တည်းဖြတ်ခြင်းအတွက် 1.3–2.0 နှင့် in-context ဖန်တီးမှုအတွက် 2.0–3.0 ဖြစ်ပြီး ပေးထားသောပုံများကို လိုက်နာမှုအားကို သတ်မှတ်သည်။

မူလ 0

CFG အကွာအဝေး၏ စတင်တန်ဖိုး။

မူလ 1

CFG အကွာအဝေး၏ အဆုံးတန်ဖိုး။

ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။

POST /run/omnigen-v2?wait=20 ကုန်ကျစရိတ် → ၀.၁၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnigen-v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Omnigen V2 အကြောင်း

`prompt` နှင့် `input_image_urls` 3 ခုအထိမှ ပုံများကို ဖန်တီးခြင်း သို့မဟုတ် တည်းဖြတ်ခြင်း ပြုလုပ်ပေးသည့် မျိုးစုံသုံး ပုံမော်ဒယ် ဖြစ်သည်။ `text_guidance_scale` (1 မှ 8), `image_guidance_scale` (1 မှ 3), CFG အကွာအဝေး၏ အစနှင့် အဆုံး၊ `negative_prompt` နှင့် `euler` သို့မဟုတ် `dpmsolver` scheduler ရွေးချယ်မှုတို့ကို ပံ့ပိုးသည်။ အဆင့်များသည် 20 မှ 50 အထိဖြစ်ပြီး ထွက်ရလဒ် 4 ခုအထိ ရရှိနိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ပုံဖန်တီးခြင်း သို့မဟုတ် တည်းဖြတ်ခြင်း ညွှန်ကြားချက်များ၊ တိတိကျကျ ဖော်ပြခြင်းက အကောင်းဆုံးဖြစ်သည်—ဥပမာ 'Add the bird from image 1 to the desk in image 2'။
input_image_urlsရွေးချယ်နိုင်သည်
အမျိုးအစားurl[] · image
မူလတန်ဖိုး[]
ပုံများစွာမှ တည်းဖြတ်ခြင်း သို့မဟုတ် ဖန်တီးခြင်းအတွက် အရင်းအမြစ်ပုံများကို ပေးပို့သည့် ပုံ URL အများဆုံး 3 ခု။
image_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားobject
မူလတန်ဖိုးsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ဖန်တီးထားသောပုံ၏ အရွယ်အစား။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး50
၂၀ – ၅၀
လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။
text_guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး5
၁ – ၈
စာသားလမ်းညွှန်မှု scale၊ တန်ဖိုးမြှင့်လေ ဖန်တီးထားသောပုံက စာသားပရောမ့်ကို ပိုမိုလိုက်နာလေ ဖြစ်သည်။
image_guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး2
၁ – ၃
ပုံလမ်းညွှန်မှု scale၊ တည်းဖြတ်ခြင်းအတွက် 1.3–2.0 နှင့် in-context ဖန်တီးမှုအတွက် 2.0–3.0 ဖြစ်ပြီး ပေးထားသောပုံများကို လိုက်နာမှုအားကို သတ်မှတ်သည်။
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး(((deformed))), blurry, over saturation, bad anatomy, disfigured, poorly drawn face, mutation, mutated, (extra_limb), (ugly), (poorly drawn hands), fused fingers, messy drawing, broken legs censor, censored, censor_bar
ပုံမှ ဖယ်ရှားလိုသော အကြောင်းအရာကို ဖော်ပြသည့် အနုတ်ပရောမ့်။
cfg_range_startရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0
၀ – ၁
CFG အကွာအဝေး၏ စတင်တန်ဖိုး။
cfg_range_endရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၀ – ၁
CFG အကွာအဝေး၏ အဆုံးတန်ဖိုး။
schedulerရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးeuler
eulerdpmsolver
diffusion အတွင်း အသုံးပြုသည့် Scheduler။
num_imagesရွေးချယ်နိုင်သည် num_outputs
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၄
ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှုသည် မလုံခြုံဟု သတ်မှတ်ခံရသော ပုံများအစား အနက်ရောင်ပုံများကို ပြန်ပေးသည်။ true သည် စစ်ဆေးမှုကို ဖွင့်ပေးပြီး false သည် ခွင့်ပြုထားသောအကောင့်များအတွက်သာ ပိတ်ပေးသည်။ ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို မည်သို့ပင်ဖြစ်စေ စစ်ဆေးသည်။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးjpeg
jpegpng
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnigen-v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 150,
    "usd": "0.15",
    "charged": 150,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, width, height, content_type}ဖန်တီးထားသော ပုံများ၏ ဖိုင်အချက်အလက်။
timings
object
seed
integerပုံဖန်တီးမှုအတွက် seed၊ ထည့်သွင်းချက်တွင် seed မပါပါက ကျပန်းရွေးချယ်ထားသောတန်ဖိုးကို ပါဝင်စေပြီး၊ ပါရှိပါက ပေးထားသောတန်ဖိုးကို ထပ်မံအသုံးပြုသည်။
has_nsfw_concepts
array of booleanဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။
prompt
stringပုံဖန်တီးစဉ် အသုံးပြုမည့် ပရောမ့်။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/omnigen-v2.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt